package cn.iocoder.yudao.module.dms.controller.admin.checktaskitem.vo;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 点巡检任务检查项分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class DmsCheckTaskItemPageReqVO extends PageParam {

    @Schema(description = "点巡检模板ID")
    private Long checkTemplateId;

    @Schema(description = "点巡检任务ID")
    private Long checkTaskId;

    @Schema(description = "UUID")
    private String uuid;

    @Schema(description = "模板检查项名称")
    private String name;

    @Schema(description = "模板检查项内容")
    private String content;

    @Schema(description = "图片")
    private String imgs;

    @Schema(description = "备注")
    private String note;

    @Schema(description = "模板检查项ID")
    private Long checkTemplateItemId;

    @Schema(description = "模板检查项名称")
    private String checkTemplateItemName;

    @Schema(description = "显示序列")
    private Integer orderNum;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

    @Schema(description = "使用标识")
    private Short useFlag;

}
