package cn.iocoder.yudao.module.dms.controller.admin.checktemplateclassify.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Schema(description = "管理后台 - 点巡检模板分类新增/修改 Request VO")
@Data
public class DmsCheckTemplateClassifySaveReqVO {

    @Schema(description = "ID 自增长", requiredMode = Schema.RequiredMode.REQUIRED)
    private Long id;

    @Schema(description = "设备设施分类名称")
    private String name;

    @Schema(description = "描述")
    private String note;

    @Schema(description = "父设备设施分类ID")
    private Long parentId;

    @Schema(description = "上级分类名称")
    private String parentName;

    @Schema(description = "父子级联代码")
    private String pcode;

    @Schema(description = "分类级别 从1开始")
    private Integer level;

    @Schema(description = "显示序列 从小到大")
    private Integer orderNum;

    @Schema(description = "UUID")
    private String uuid;

    @Schema(description = "使用标识", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "使用标识不能为空")
    private Short useFlag;

}
