package cn.iocoder.yudao.module.dms.controller.admin.checktemplateitem.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Schema(description = "管理后台 - 点巡检模板检查项新增/修改 Request VO")
@Data
public class DmsCheckTemplateItemSaveReqVO {

    @Schema(description = "ID 自增长", requiredMode = Schema.RequiredMode.REQUIRED, example = "3817")
    private Long id;

    @Schema(description = "点巡检模板ID", example = "3445")
    private Long checkTemplateId;

    @Schema(description = "UUID", example = "2260")
    private String uuid;

    @Schema(description = "模板检查项名称", example = "王五")
    private String name;

    @Schema(description = "备注")
    private String note;

    @Schema(description = "显示序列")
    private Integer orderNum;

    @Schema(description = "使用标识", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "使用标识不能为空")
    private Short useFlag;

}