package cn.iocoder.yudao.module.dms.controller.admin.deviceclassify.vo;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

@Schema(description = "管理后台 - 设备分类分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class DmsDeviceClassifyPageReqVO extends PageParam {

    @Schema(description = "分类名称")
    private String name;

    @Schema(description = "描述")
    private String note;

    @Schema(description = "父分类名称")
    private String parentName;

}