package cn.iocoder.yudao.module.dms.controller.admin.relationorg.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Schema(description = "管理后台 - 往来单位精简列表 Response VO")
@Data
@ExcelIgnoreUnannotated
public class DmsSimpleRelationOrgRespVO {

    @Schema(description = "ID 自增长", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("ID 自增长")
    private Long id;

    @Schema(description = "单位名称")
    @ExcelProperty("单位名称")
    private String name;

}
