package cn.iocoder.yudao.module.dms.controller.admin.deviceclassify.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Schema(description = "管理后台 - 设备分类 精简 Response VO")
@Data
@ExcelIgnoreUnannotated
public class DmsSimpleDeviceClassifyRespVO {

    @Schema(description = "ID", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("ID")
    private Long id;

    @Schema(description = "设备分类名称")
    @ExcelProperty("设备分类名称")
    private String name;

    @Schema(description = "父分类ID")
    @ExcelProperty("父分类ID")
    private Long parentId;

    @Schema(description = "父分类名称")
    @ExcelProperty("父分类名称")
    private String parentName;

}
