package cn.iocoder.yudao.module.dms.dal.pgsql.relationorg;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.dms.dal.dataobject.relationorg.DmsRelationContractDO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 往来单位联系人 Mapper
 *
 * @author dzx
 */
@Mapper
public interface DmsRelationContractMapper extends BaseMapperX<DmsRelationContractDO> {

    default PageResult<DmsRelationContractDO> selectPage(PageParam reqVO, Long orgId) {
        return selectPage(reqVO, new LambdaQueryWrapperX<DmsRelationContractDO>()
                .eq(DmsRelationContractDO::getOrgId, orgId)
                .orderByDesc(DmsRelationContractDO::getId));
    }

    default int deleteByOrgId(Long orgId) {
        return delete(DmsRelationContractDO::getOrgId, orgId);
    }

}
